package com.idlegandalf.ledd.components;

import android.util.SparseArray;

import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class Profile {
    private SparseArray<HSV> values;
    private String name;

    public Profile(SparseArray<HSV> hsvHashMap) {
        setValues(hsvHashMap);
    }

    public Profile(String name) {
        setValues(new SparseArray<HSV>());
        setName(name);
    }
}
